{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request_report/report') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request_report/report') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{% if lookingForPropertyRequestReport.isProcessed() %}{{ path('company_location_management_looking_for_property_request_report_processed_overview') }}{% else %}{{ path('company_location_management_looking_for_property_request_report_unprocessed_overview') }}{% endif %}" class="me-2 d-flex align-items-center text-decoration-none">
            <i class="material-icons md-36">arrow_back</i>
        </a>
        <span class="text-primary fs-5 align-self-center w-100">Gesuchsmeldung</span>
        {% if is_granted('edit', lookingForPropertyRequestReport) == true %}
            {% set listItems = [] %}

            {% set listItems = listItems|merge([
                {
                    'label': 'Notiz eintragen',
                    'url': path('company_location_management_looking_for_property_request_report_note_create', {'id' : lookingForPropertyRequestReport.getId()}),
                    'icon': 'notes'
                },
            ]) %}

            {% if lookingForPropertyRequestReport.getlookingForPropertyRequest() == null %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Zu Ansiedlungsgesuch überführen',
                        'url': path('company_location_management_looking_for_property_request_report_report_to_looking_for_property_request', {'id' : lookingForPropertyRequestReport.getId()}),
                        'icon': 'sync'
                    },
                ]) %}
            {% endif %}

            {% if is_granted('delete', lookingForPropertyRequestReport) == true %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Meldung löschen',
                        'url': path('company_location_management_looking_for_property_request_report_delete', {'id' : lookingForPropertyRequestReport.getId()}),
                        'icon': 'delete_forever'
                    },
                ]) %}
            {% endif %}

            {% if lookingForPropertyRequestReport.isProcessed() == false %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Als bearbeitet markieren',
                        'url': path('company_location_management_looking_for_property_request_report_set_as_processed', {'id' : lookingForPropertyRequestReport.getId()}),
                        'icon': 'done'
                    },
                ]) %}
            {% endif %}

            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'looking_for_property_request_report',
                'listItems': listItems
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-4 mb-4">
            {% set levelOneIndustryClassification = null %}
            {% set levelTwoIndustryClassification = null %}
            {% set levelThreeIndustryClassification = null %}
            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getParent() != null and lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getParent().getParent() != null) %}
                {% set levelOneIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getParent().getParent() %}
                {% set levelTwoIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getParent() %}
                {% set levelThreeIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification() %}
            {% elseif (lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getParent() != null) %}
                {% set levelOneIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getParent() %}
                {% set levelTwoIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification() %}
            {% else %}
                {% set levelOneIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification() %}
            {% endif %}

            <h3>{{ lookingForPropertyRequestReport.getTitle() }}</h3>
            <p>
                <strong>
                    {{ levelOneIndustryClassification.getName() }}
                    {% if (levelTwoIndustryClassification != null) %}
                        &raquo; {{ levelTwoIndustryClassification.getName() }}
                        {% if (levelThreeIndustryClassification != null) %}
                            &raquo; {{ levelThreeIndustryClassification.getName() }}
                        {% endif %}
                    {% endif %}
                </strong>
            </p>
            <div class="row mt-4">
                <div class="col-md-12 col-lg-8">
                    <div class="row">
                        <div class="col-6">
                            <h5>Grundinformationen:</h5>
                            <div class="mt-3">
                                Gesuchsgrund:
                            </div>
                            <div>
                                <strong>{{ lookingForPropertyRequestReport.getRequestReason().getName() }}</strong>
                            </div>
                            {% if (lookingForPropertyRequestReport.getConceptDescription() != null and lookingForPropertyRequestReport.getConceptDescription() != '') %}
                                <div class="mt-3">
                                    Konzeptbeschreibung:
                                </div>
                                <div>
                                    <strong>{{ lookingForPropertyRequestReport.getConceptDescription()|nl2br }}</strong>
                                </div>
                            {% endif %}
                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getEarliestAvailableFrom() != null) %}
                                <div class="mt-3">
                                    Frühestes Bezugsdatum:
                                </div>
                                <div>
                                    <strong>{{ lookingForPropertyRequestReport.getPropertyRequirement().getEarliestAvailableFrom().format('d.m.Y') }}</strong>
                                </div>
                            {% endif %}
                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getLatestAvailableFrom() != null) %}
                                <div class="mt-3">
                                    Spätestes Bezugsdatum:
                                </div>
                                <div>
                                    <strong>{{ lookingForPropertyRequestReport.getPropertyRequirement().getLatestAvailableFrom().format('d.m.Y') }}</strong>
                                </div>
                            {% endif %}
                            <h5 class="mt-4">Anforderungen an den Standort</h5>
                            {% if (lookingForPropertyRequestReport.getPropertyRequirement.getInQuarters() != null and lookingForPropertyRequestReport.getPropertyRequirement.getInQuarters()|length > 0) %}
                                <div class="mt-3">
                                    Stadtteile:
                                </div>
                                <div>
                                    <ul>
                                    {% for quarter in lookingForPropertyRequestReport.getPropertyRequirement.getInQuarters() %}
                                        <li><strong>{{ quarter.getPlaceName() }}</strong></li>
                                    {% endfor %}
                                    </ul>
                                </div>
                            {% endif %}
                            {% if (lookingForPropertyRequestReport.getPropertyRequirement.getInPlaces() != null and lookingForPropertyRequestReport.getPropertyRequirement.getInPlaces()|length > 1) %}
                                <div class="mt-3">
                                    Orte:
                                </div>
                                <div>
                                    <ul>
                                        {% for place in lookingForPropertyRequestReport.getPropertyRequirement.getInPlaces() %}
                                            <li><strong>{{ place.getPlaceName() }}</strong></li>
                                        {% endfor %}
                                    </ul>
                                </div>
                            {% endif %}
                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getLocationCategories() != null and lookingForPropertyRequestReport.getPropertyRequirement().getLocationCategories()|length > 0) %}
                                <div class="mt-3">
                                    Einzelhandelslagen:
                                </div>
                                <div>
                                    <ul>
                                        {% for locationCategory in lookingForPropertyRequestReport.getPropertyRequirement().getLocationCategories() %}
                                            <li><strong>{{ locationCategory.getName() }}</strong></li>
                                        {% endfor %}
                                    </ul>
                                </div>
                            {% endif %}
                            {% if (lookingForPropertyRequestReport.getLocationFactors() != null and lookingForPropertyRequestReport.getLocationFactors()|length > 0) %}
                                <div class="mt-3">
                                    Standortfaktoren:
                                </div>
                                <div>
                                    <ul>
                                        {% for locationFactor in lookingForPropertyRequestReport.getLocationFactors() %}
                                            <li><strong>{{ locationFactor.getName() }}</strong></li>
                                        {% endfor %}
                                    </ul>
                                </div>
                            {% endif %}
                        </div>
                        <div class="col-6">
                            <h5>Anforderungen an das Objekt</h5>
                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getPropertyOfferTypes() != null and lookingForPropertyRequestReport.getPriceRequirement().getPropertyOfferTypes()|length > 0) %}
                                <div class="mt-3">
                                    Angebotsarten:
                                </div>
                                <div>
                                    <ul>
                                        {% for propertyOfferType in lookingForPropertyRequestReport.getPriceRequirement().getPropertyOfferTypes() %}
                                            <li><strong>{{ propertyOfferType.getName() }}</strong></li>
                                        {% endfor %}
                                    </ul>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceNet().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceNet().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Nettokaufpreis:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceNet().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceNet().getMinimumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceNet().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceNet().getMaximumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceGross().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceGross().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Bruttokaufpreis:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceGross().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceGross().getMinimumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceGross().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getPurchasePriceGross().getMaximumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePricePerSquareMeter().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getPurchasePricePerSquareMeter().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Kaufpreis pro m&sup2;:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePricePerSquareMeter().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getPurchasePricePerSquareMeter().getMinimumValue()|number_format(2,',','.') }} €/m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getPurchasePricePerSquareMeter().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getPurchasePricePerSquareMeter().getMaximumValue()|number_format(2,',','.') }} €/m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getNetColdRent().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getNetColdRent().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Nettokaltmiete pro Monat:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getNetColdRent().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getNetColdRent().getMinimumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getNetColdRent().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getNetColdRent().getMaximumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getColdRent().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getColdRent().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Kaltmiete pro Monat:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getColdRent().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getColdRent().getMinimumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getColdRent().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getColdRent().getMaximumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getRentalPricePerSquareMeter().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getRentalPricePerSquareMeter().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Mietpreis pro m&sup2;:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getRentalPricePerSquareMeter().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getRentalPricePerSquareMeter().getMinimumValue()|number_format(2,',','.') }} €/m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getRentalPricePerSquareMeter().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getRentalPricePerSquareMeter().getMaximumValue()|number_format(2,',','.') }} €/m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getLease().getMinimumValue() != null or lookingForPropertyRequestReport.getPriceRequirement().getLease().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Pacht pro Monat:
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getLease().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPriceRequirement().getLease().getMinimumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPriceRequirement().getLease().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPriceRequirement().getLease().getMaximumValue()|number_format(2,',','.') }} €
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPriceRequirement().getNonCommissionable == true) %}
                                <div class="mt-3">
                                    <strong>Es sind nur provisionsfreie Angebote erwünscht.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Gesamtfläche
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMinimumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMaximumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getRetailSpace().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getRetailSpace().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Verkaufsfläche
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getRetailSpace().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getRetailSpace().getMinimumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getRetailSpace().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getRetailSpace().getMaximumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getStorageSpace().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getStorageSpace().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Lagerfläche
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getStorageSpace().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getStorageSpace().getMinimumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getStorageSpace().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getStorageSpace().getMaximumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getSubsidiarySpace().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getSubsidiarySpace().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Nebenfläche
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getSubsidiarySpace().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getSubsidiarySpace().getMinimumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getSubsidiarySpace().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getSubsidiarySpace().getMaximumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getUsableSpace().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getUsableSpace().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Nutzfläche
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getUsableSpace().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getUsableSpace().getMinimumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getUsableSpace().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getUsableSpace().getMaximumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyMandatoryRequirement().isOutdoorSpaceRequired == true) %}
                                <div class="mt-3">
                                    <strong>Eine Außenfläche wird benötigt.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getOutdoorSpace().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getOutdoorSpace().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Außenfläche
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getOutdoorSpace().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getOutdoorSpace().getMinimumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getOutdoorSpace().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getOutdoorSpace().getMaximumValue()|number_format(2,',','.') }} m&sup2;
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyMandatoryRequirement().isRoofingRequired == true) %}
                                <div class="mt-3">
                                    <strong>Eine Überdachung im Außenbereich ist erforderlich.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyMandatoryRequirement().isShowroomRequired == true) %}
                                <div class="mt-3">
                                    <strong>Ein Showroom wird benötigt.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyMandatoryRequirement().isShopWindowRequired == true) %}
                                <div class="mt-3">
                                    <strong>Ein Schaufenster wird benötigt.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWindowLength().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWindowLength().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Schaufensterbreite
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWindowLength().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWindowLength().getMinimumValue()|number_format(2,',','.') }} m
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWindowLength().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWindowLength().getMaximumValue()|number_format(2,',','.') }} m
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWidth().getMinimumValue() != null or lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWidth().getMaximumValue() != null) %}
                                <div class="mt-3">
                                    Ladenbreite
                                </div>
                                <div>
                                    <strong>
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWidth().getMinimumValue() != null) %}
                                            von {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWidth().getMinimumValue()|number_format(2,',','.') }} m
                                        {% endif %}
                                        {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWidth().getMaximumValue() != null) %}
                                            bis {{ lookingForPropertyRequestReport.getPropertyRequirement().getPropertyValueRangeRequirement().getShopWidth().getMaximumValue()|number_format(2,',','.') }} m
                                        {% endif %}
                                    </strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyMandatoryRequirement().isGroundLevelSalesAreaRequired == true) %}
                                <div class="mt-3">
                                    <strong>Eine ebenerdige Verkaufsfläche wird benötigt.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getPropertyMandatoryRequirement().isBarrierFreeAccessRequired == true) %}
                                <div class="mt-3">
                                    <strong>Ein barrierefreier Zugang wird benötigt.</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getRoomCount() != null) %}
                                <div class="mt-3">
                                    Anzahl benötigter Räume:
                                </div>
                                <div>
                                    <strong>{{ lookingForPropertyRequestReport.getPropertyRequirement().getRoomCount() }}</strong>
                                </div>
                            {% endif %}

                            {% if (lookingForPropertyRequestReport.getPropertyRequirement().getNumberOfParkingLots() != null) %}
                                <div class="mt-3">
                                    Anzahl benötigter Stellplätze:
                                </div>
                                <div>
                                    <strong>{{ lookingForPropertyRequestReport.getPropertyRequirement().getNumberOfParkingLots() }}</strong>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <h5>Informationen zur Meldung:</h5>
                    <div>Meldung eingegangen am:</div>
                    <div><b>{{ lookingForPropertyRequestReport.getReportedAt().format('d.m.Y, H:i') }} Uhr</b></div>
                    {% if lookingForPropertyRequestReport.getUpdatedAt() != null %}
                        <div>Zuletzt bearbeitet am:</div>
                        <div><b>{{ lookingForPropertyRequestReport.getUpdatedAt().format('d.m.Y, H:i') }} Uhr</b></div>
                    {% endif %}
                    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
                        <div class="mt-2">Gemeldet von:</div>
                        <div>
                            <b>
                                {% if lookingForPropertyRequestReport.getReporterCompanyName() %}
                                    {{ lookingForPropertyRequestReport.getReporterCompanyName() }}<br>
                                {% endif %}
                                {% if lookingForPropertyRequestReport.getReporterFirstName() %}
                                    {{ lookingForPropertyRequestReport.getReporterFirstName() }}
                                {% endif %}
                                {{ lookingForPropertyRequestReport.getReporterLastName() }}
                            </b>
                        </div>
                        {% if lookingForPropertyRequestReport.getReporterPhoneNumber() %}
                            <div class="d-flex align-items-center mt-1">
                                <span class="material-icons-outlined me-2">call</span> {{ lookingForPropertyRequestReport.getReporterPhoneNumber() }}
                            </div>
                        {% endif %}
                        {% if lookingForPropertyRequestReport.getReporterEmail() %}
                            <div class="d-flex align-items-center mt-1">
                                <i class="material-icons-outlined me-2">email</i> <a href="mailto:{{ lookingForPropertyRequestReport.getReporterEmail() }}">{{ lookingForPropertyRequestReport.getReporterEmail() }}</a>
                            </div>
                        {% endif %}
                    {% endif %}
                    {% if (lookingForPropertyRequestReport.isAutomaticEnding() == true) %}
                        <div class="mt-3">
                            Laufzeit des Gesuchs bis:
                        </div>
                        <div>
                            <strong>{{ lookingForPropertyRequestReport.getRequestAvailableTill().format('d.m.Y') }}</strong>
                        </div>
                    {% endif %}
                    {% if lookingForPropertyRequestReport.getLookingForPropertyRequest() %}
                        <div class="mt-3">
                            <div class="d-flex align-items-center mt-1">
                                <i class="material-icons-outlined me-2">compare_arrows</i>
                                <span>
                                    {% if is_granted('view', lookingForPropertyRequestReport.getLookingForPropertyRequest()) == true %}
                                        Diese Gesuchsmeldung wurde überführt zu <a href="{{ path('company_location_management_looking_for_property_request_edit', {'id': lookingForPropertyRequestReport.getLookingForPropertyRequest().getId()}) }}">Gesuch {{ lookingForPropertyRequestReport.getLookingForPropertyRequest().getId() }}</a>.
                                    {% else %}
                                        Diese Gesuchsmeldung wurde überführt.
                                    {% endif %}
                                </span>
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
        {% if lookingForPropertyRequestReport.getLookingForPropertyRequestReportNotes()|length > 0 %}
            <div class="mdc-card mb-4">
                <div class="accordion">
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                                    data-coreui-target="#property_vacancy_report_note_content" aria-expanded="true"
                                    aria-controls="property_vacancy_report_note_content">
                                Notizen
                            </button>
                        </h2>
                        <div id="property_vacancy_report_note_content" class="accordion-collapse collapse show">
                            <div class="d-flex flex-column">
                                {% include 'company_location_management/component/looking_for_property_request_report/looking_for_property_request_report_note_list_component.html.twig' with {
                                    'idPrefix': 'looking_for_property_request_report_note_',
                                    'listItems': lookingForPropertyRequestReport.getLookingForPropertyRequestReportNotes(),
                                    'showActionButton': true,
                                    'massOperation': false,
                                    'pagination': false,
                                    'sortable': false
                                } only %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
